import * as puppeteer from "puppeteer";
import { Rule } from "../rule";
import Word from "../word";
import Action from "./action";
import TargetBasedAction from "./tagetBasedAction.";

export default class MouseOverAction extends TargetBasedAction {

    public selector: string;

    constructor(word: Word, rule: Rule, selector: string) {
        super(word, rule, selector);
    }

    public execOnTarget(page: puppeteer.Page, target: puppeteer.ElementHandle): Promise<any> {
        return target.hover();
    }

}
